Debian Bug report logs - #324172
xpdf-reader: Resizing xpdf results in garbled display

version graph

Package: xpdf-reader; Maintainer for xpdf-reader is Michael Gilbert <michael.s.gilbert@gmail.com>;

Reported by: Frédéric Bothamy <frederic.bothamy@free.fr>

Date: Sat, 20 Aug 2005 17:48:06 UTC

Severity: important

Tags: confirmed, upstream

Merged with 325112, 326888, 327572, 329112

Found in version xpdf-reader/3.01-1

Fixed in version xpdf/3.01-2

Done: Hamish Moffatt <hamish@debian.org>

Bug is archived. No further changes may be made.

Forwarded to derekn@foolabs.com

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Frédéric Bothamy <frederic.bothamy@free.fr>:
New Bug report received and forwarded. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frédéric Bothamy <frederic.bothamy@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xpdf-reader: Resizing xpdf results in garbled display
Date: Sat, 20 Aug 2005 19:44:23 +0200
Package: xpdf-reader
Version: 3.01-1
Severity: normal

Hello,

When using xpdf to view the PDF of the Official Volleyball Rules
(which can be found at
http://www.fivb.org/EN/Volleyball/Rules/Rules.htm), I have some
problems with display becoming garbled on resizing the window.

Steps to reproduce the problem:

- launch xpdf with "xpdf FIVB.2005.VB.RulesOfTheGame-new.pdf"
- change the display to 150%
- enlarge the window to display the full page, notice that the
  ratio of the scrollbars has not changed (they should be full, but
  are the same as before the resizing)
- scroll down (with the space bar), only a part of the screen change

Note that sometimes the scrollbars works and sometimes not.

I can provide some screenshots if needed.


Thanks for maintaining xpdf, this is definitely my prefered PDF
reader!


Fred

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12.5
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages xpdf-reader depends on:
ii  gsfonts               8.14+v8.11+urw-0.2 Fonts for the Ghostscript interpre
ii  lesstif2              1:0.93.94-11.4     OSF/Motif 2.1 implementation relea
ii  libc6                 2.3.5-4            GNU C Library: Shared libraries an
ii  libfreetype6          2.1.10-1           FreeType 2 font engine, shared lib
ii  libgcc1               1:4.0.1-5          GCC support library
ii  libice6               6.8.2.dfsg.1-5     Inter-Client Exchange library
ii  libpaper1             1.1.14-3           Library for handling paper charact
ii  libsm6                6.8.2.dfsg.1-5     X Window System Session Management
ii  libstdc++6            4.0.1-5            The GNU Standard C++ Library v3
ii  libt1-5               5.1.0-2            Type 1 font rasterizer library - r
ii  libx11-6              6.8.2.dfsg.1-5     X Window System protocol client li
ii  libxext6              6.8.2.dfsg.1-5     X Window System miscellaneous exte
ii  libxp6                6.8.2.dfsg.1-5     X Window System printing extension
ii  libxpm4               6.8.2.dfsg.1-5     X pixmap library
ii  libxt6                6.8.2.dfsg.1-5     X Toolkit Intrinsics
ii  xlibs                 6.8.2.dfsg.1-5     X Window System client libraries m
ii  xpdf-common           3.01-1             Portable Document Format (PDF) sui
ii  zlib1g                1:1.2.3-3          compression library - runtime

xpdf-reader recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to David Riebenbauer <davrieb@sbox.tugraz.at>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #10 received at 324172@bugs.debian.org (full text, mbox):

From: David Riebenbauer <davrieb@sbox.tugraz.at>
To: Debian Bug Tracking System <324172@bugs.debian.org>
Subject: xpdf: garbled output in ion3
Date: Sat, 20 Aug 2005 23:43:38 +0200
Package: xpdf-reader
Version: 3.01-1
Followup-For: Bug #324172

Hi,

I follow up to #324172, because I believe I suffer from the same bug
and hope I can give some additional information.

I use the ion3 window manager. If I open a pdf with xpdf the bottom
and the right most part of the pdf display don't react to scrolling.

To trigger the bug I have to use xpdf in an workspace with "fixed
windows" (WIonWS) or maximize it.. Resizing xpdf makes the Problem disappear.

The problem does not appear in an "normal" workspace (WFloatWS). Also
I could not reproduce the problem using GNOME with Metacity.

This happens with every pdf I tried since updating to 3.01-1.
Also with the example the original reporter provided.

Regards
David


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.13-rc6
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xpdf depends on:
ii  xpdf-common                   3.01-1     Portable Document Format (PDF) sui
ii  xpdf-reader                   3.01-1     Portable Document Format (PDF) sui
ii  xpdf-utils                    3.01-1     Portable Document Format (PDF) sui

xpdf recommends no packages.

Versions of packages xpdf-reader depends on:
ii  gsfonts               8.14+v8.11+urw-0.2 Fonts for the Ghostscript interpre
ii  lesstif2              1:0.93.94-11.4     OSF/Motif 2.1 implementation relea
ii  libc6                 2.3.5-4            GNU C Library: Shared libraries an
ii  libfreetype6          2.1.10-1           FreeType 2 font engine, shared lib
ii  libgcc1               1:4.0.1-5          GCC support library
ii  libice6               6.8.2.dfsg.1-5     Inter-Client Exchange library
ii  libpaper1             1.1.14-3           Library for handling paper charact
ii  libsm6                6.8.2.dfsg.1-5     X Window System Session Management
ii  libstdc++6            4.0.1-5            The GNU Standard C++ Library v3
ii  libt1-5               5.1.0-2            Type 1 font rasterizer library - r
ii  libx11-6              6.8.2.dfsg.1-5     X Window System protocol client li
ii  libxext6              6.8.2.dfsg.1-5     X Window System miscellaneous exte
ii  libxp6                6.8.2.dfsg.1-5     X Window System printing extension
ii  libxpm4               6.8.2.dfsg.1-5     X pixmap library
ii  libxt6                6.8.2.dfsg.1-5     X Toolkit Intrinsics
ii  xlibs                 6.8.2.dfsg.1-5     X Window System client libraries m
ii  xpdf-common           3.01-1             Portable Document Format (PDF) sui
ii  zlib1g                1:1.2.3-3          compression library - runtime

-- no debconf information

-- 
David Riebenbauer
Jabber: davrieb@jabber.ccc.de - ICQ: 322056002 



Noted your statement that Bug has been forwarded to derekn@foolabs.com. Request was from Hamish Moffatt <hamish@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Wolfram Quester <wolfi@mittelerde.physik.uni-konstanz.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@cloud.net.au>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #19 received at 324172@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@cloud.net.au>
To: wolfi@mittelerde.physik.uni-konstanz.de
Cc: 324172@bugs.debian.org
Subject: Re: Processed: severity of 324172 is important
Date: Thu, 25 Aug 2005 08:44:31 +1000
On Wed, Aug 24, 2005 at 08:48:16AM -0700, Debian Bug Tracking System wrote:
> >  # I think this has major effect on the usability of xpdf
> > severity 324172 important
> Bug#324172: xpdf-reader: Resizing xpdf results in garbled display
> Severity set to `important'.

Hi,

I disagree, but I won't fight to change it back. It may have a major
effect on the usability, but for a minority of users. It works perfectly
in GNOME for me.

Are you also running ion3? Is it possible that it is at fault?

Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #24 received at 324172@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: Frédéric Bothamy <frederic.bothamy@free.fr>, 324172@bugs.debian.org
Subject: Re: Bug#324172: xpdf-reader: Resizing xpdf results in garbled display
Date: Thu, 25 Aug 2005 08:45:19 +1000
On Sat, Aug 20, 2005 at 07:44:23PM +0200, Frédéric Bothamy wrote:
> When using xpdf to view the PDF of the Official Volleyball Rules
> (which can be found at
> http://www.fivb.org/EN/Volleyball/Rules/Rules.htm), I have some
> problems with display becoming garbled on resizing the window.

Hi,

Which window manager / desktop environment are you using?

Another user said this happened to him with ion3.
It doesn't happen for me with GNOME / Metacity.


Thanks,
Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Wolfram Quester <wolfi@mittelerde.physik.uni-konstanz.de>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #29 received at 324172@bugs.debian.org (full text, mbox):

From: Wolfram Quester <wolfi@mittelerde.physik.uni-konstanz.de>
To: Hamish Moffatt <hamish@cloud.net.au>
Cc: 324172@bugs.debian.org
Subject: Re: Processed: severity of 324172 is important
Date: Thu, 25 Aug 2005 12:41:18 +0200
[Message part 1 (text/plain, inline)]
Hi Hamish,

On Thu, Aug 25, 2005 at 08:44:31AM +1000, Hamish Moffatt wrote:
> On Wed, Aug 24, 2005 at 08:48:16AM -0700, Debian Bug Tracking System wrote:
> > >  # I think this has major effect on the usability of xpdf
> > > severity 324172 important
> > Bug#324172: xpdf-reader: Resizing xpdf results in garbled display
> > Severity set to `important'.
> 
> Hi,
> 
> I disagree, but I won't fight to change it back. It may have a major
> effect on the usability, but for a minority of users. It works perfectly
> in GNOME for me.
> 
> Are you also running ion3? Is it possible that it is at fault?
OK, I understand your point of view, it would certainly not be important
if it only affected people using ion3. But I'm using xfce4 and a
colleague of mine uses KDE. We both experienced this effect. I tried
gnome today and you are right, the effect is not present there, so
probably sawfish does something different than other window managers.

Thanks for your fast reaction and work,

Wolfi

> 
> Hamish
> -- 
> Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Frédéric Bothamy <frederic.bothamy@free.fr>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #34 received at 324172@bugs.debian.org (full text, mbox):

From: Frédéric Bothamy <frederic.bothamy@free.fr>
To: Hamish Moffatt <hamish@debian.org>
Cc: 324172@bugs.debian.org
Subject: Re: Bug#324172: xpdf-reader: Resizing xpdf results in garbled display
Date: Thu, 25 Aug 2005 20:25:47 +0200
[Message part 1 (text/plain, inline)]
* Hamish Moffatt <hamish@debian.org> [2005-08-25 08:45] :
> On Sat, Aug 20, 2005 at 07:44:23PM +0200, Frédéric Bothamy wrote:
> > When using xpdf to view the PDF of the Official Volleyball Rules
> > (which can be found at
> > http://www.fivb.org/EN/Volleyball/Rules/Rules.htm), I have some
> > problems with display becoming garbled on resizing the window.
> 
> Hi,
> 
> Which window manager / desktop environment are you using?
> 
> Another user said this happened to him with ion3.
> It doesn't happen for me with GNOME / Metacity.

Hello Hamish,

I use IceWM as window manager (and no desktop environment).

I have tried to check a bit more into this problem and it seems to be a
problem with the refresh of the display area and the size of it.

I have attached a screenshot of the problem where I have resized the
window on the first page and went to the second page afterwards. The
right and low borders of the first page are still visible and the
scrollbars show that the display size is partial whereas it should be
full.


Fred
[gkrellShoot_08-25-05_201627.jpg (image/jpeg, attachment)]

Merged 324172 325112. Request was from Hamish Moffatt <hamish@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Jan Braun <janbraun@gmx.de>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #41 received at 324172@bugs.debian.org (full text, mbox):

From: Jan Braun <janbraun@gmx.de>
To: 324172@bugs.debian.org
Subject: Re: Bug#324172: xpdf-reader: Resizing xpdf results in garbled display
Date: Sun, 11 Sep 2005 23:59:14 +0200
Hello,

Fr?d?ric Bothamy schrob:
> * Hamish Moffatt <hamish@debian.org> [2005-08-25 08:45] :
> > Which window manager / desktop environment are you using?
> > 
> > Another user said this happened to him with ion3.
> > It doesn't happen for me with GNOME / Metacity.
> 
> I use IceWM as window manager (and no desktop environment).
> 
> I have tried to check a bit more into this problem and it seems to be a
> problem with the refresh of the display area and the size of it.

It is. xpdf doesn't handle being maximized properly.

Using ratpoison, the bug is always present after starting xpdf, and goes
away after Ctrl-t l ("redisplay").

When I tried with openbox, the bug would manifest when using the
"maximize" button, but not when manually resizing (to any size).
If GNOME / Metacity implemented maximizing as "resize to <screen size>"
instead of a generic "maximize", that'd explain why it works there.

HTH,
	Jan




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #46 received at 324172@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: 324172@bugs.debian.org
Subject: [jikuja@utu.fi: Bug#327572: xpdf: zooming does not increase viewable area]
Date: Wed, 14 Sep 2005 08:52:34 +1000
----- Forwarded message from Janne Kujanpaa <jikuja@utu.fi> -----

Subject: Bug#327572: xpdf: zooming does not increase viewable area
Reply-To: Janne Kujanpaa <jikuja@utu.fi>, 327572@bugs.debian.org
Date: Tue, 13 Sep 2005 23:11:10 +0300
From: Janne Kujanpaa <jikuja@utu.fi>
To: Debian Bug Tracking System <327572@bugs.debian.org>
X-Spam-Status: No, score=-2.2 required=5.0 tests=AWL,BAYES_00,
	DATE_IN_FUTURE_03_06 autolearn=ham version=3.0.4

Package: xpdf-reader
Version: 3.01-1
Followup-For: Bug #327572

Bug exists and it's wm independent:
http://sourceforge.net/tracker/index.php?func=detail&aid=1290132&group_id=31&atid=100031
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166569


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (700, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13-archck1
Locale: LANG=C, LC_CTYPE=fi_FI@euro (charmap=ISO-8859-15)

Versions of packages xpdf-reader depends on:
ii  gsfonts          8.14+v8.11+urw-0.2      Fonts for the Ghostscript interpre
ii  lesstif2         1:0.93.94-11.4          OSF/Motif 2.1 implementation relea
ii  libc6            2.3.5-6                 GNU C Library: Shared libraries an
ii  libfreetype6     2.1.7-2.4               FreeType 2 font engine, shared lib
ii  libgcc1          1:4.0.1-2               GCC support library
ii  libice6          6.8.99.900.dfsg.1-0pre1 Inter-Client Exchange library
ii  libpaper1        1.1.14-3                Library for handling paper charact
ii  libsm6           6.8.99.900.dfsg.1-0pre1 X Window System Session Management
ii  libstdc++6       4.0.1-2                 The GNU Standard C++ Library v3
ii  libt1-5          5.1.0-2                 Type 1 font rasterizer library - r
ii  libx11-6         6.8.99.900.dfsg.1-0pre1 X Window System protocol client li
ii  libxext6         6.8.99.900.dfsg.1-0pre1 X Window System miscellaneous exte
ii  libxp6           6.8.99.900.dfsg.1-0pre1 X Window System printing extension
ii  libxpm4          6.8.99.900.dfsg.1-0pre1 X pixmap library
ii  libxt6           6.8.99.900.dfsg.1-0pre1 X Toolkit Intrinsics
ii  xlibs            6.8.99.900.dfsg.1-0pre1 X Window System client libraries m
ii  xpdf-common      3.01-1                  Portable Document Format (PDF) sui
ii  zlib1g           1:1.2.2-4               compression library - runtime

xpdf-reader recommends no packages.

-- no debconf information



----- End forwarded message -----

-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Merged 324172 325112 327572. Request was from Hamish Moffatt <hamish@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Hamish Moffatt <hamish@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 324172 325112 326888 327572 329112. Request was from Hamish Moffatt <hamish@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Hamish Moffatt <hamish@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Hamish Moffatt <hamish@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Hamish Moffatt <hamish@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Hamish Moffatt <hamish@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Hamish Moffatt <hamish@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to "Derek B. Noonburg" <derekn@foolabs.com>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #67 received at 324172@bugs.debian.org (full text, mbox):

From: "Derek B. Noonburg" <derekn@foolabs.com>
To: wolfi@mittelerde.physik.uni-konstanz.de
Cc: umar@compsci.cas.vanderbilt.edu, hamish@cloud.net.au, frederic.bothamy@free.fr, davrieb@sbox.tugraz.at, than@redhat.com, branden@debian.org, 324172@bugs.debian.org, saurabhsinghvi@gmail.com, m.rogers@cs.ucl.ac.uk, "Derek B. Noonburg" <derekn@foolabs.com>
Subject: Re: Xpdf 3.01 resize/redraw bug
Date: Thu, 6 Oct 2005 14:22:48 -0700 (PDT)
[Message part 1 (text/plain, inline)]
Once again, I'm sending email out to everyone who has contacted me
regarding the resize/redraw bug in Xpdf 3.01.

Thanks to Michael Rogers, I have a potential fix -- see the attached
patch file.  I would appreciate it if you would all try this out, and
let me know if it fixes the problem for you.

- Derek
[resize.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #72 received at 324172@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: wolfi@mittelerde.physik.uni-konstanz.de, umar@compsci.cas.vanderbilt.edu, frederic.bothamy@free.fr, davrieb@sbox.tugraz.at, than@redhat.com, branden@debian.org, 324172@bugs.debian.org, saurabhsinghvi@gmail.com, m.rogers@cs.ucl.ac.uk
Subject: Re: Xpdf 3.01 resize/redraw bug
Date: Fri, 7 Oct 2005 08:52:53 +1000
On Thu, Oct 06, 2005 at 02:22:48PM -0700, Derek B. Noonburg wrote:
> Once again, I'm sending email out to everyone who has contacted me
> regarding the resize/redraw bug in Xpdf 3.01.
> 
> Thanks to Michael Rogers, I have a potential fix -- see the attached
> patch file.  I would appreciate it if you would all try this out, and
> let me know if it fixes the problem for you.

For Debian users, I've placed temporary packages containing this patch at

http://people.debian.org/~hamish/xpdf/

It's not apt-gettable so you would need to download the debs by hand and
install with "dpkg -i xpdf*3.01-1.1*.deb".

Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Frédéric Bothamy <frederic.bothamy@free.fr>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #77 received at 324172@bugs.debian.org (full text, mbox):

From: Frédéric Bothamy <frederic.bothamy@free.fr>
To: Hamish Moffatt <hamish@debian.org>
Cc: "Derek B. Noonburg" <derekn@foolabs.com>, wolfi@mittelerde.physik.uni-konstanz.de, umar@compsci.cas.vanderbilt.edu, davrieb@sbox.tugraz.at, than@redhat.com, branden@debian.org, 324172@bugs.debian.org, saurabhsinghvi@gmail.com, m.rogers@cs.ucl.ac.uk
Subject: Re: Xpdf 3.01 resize/redraw bug
Date: Fri, 7 Oct 2005 22:33:05 +0200
* Hamish Moffatt <hamish@debian.org> [2005-10-07 08:52] :
> On Thu, Oct 06, 2005 at 02:22:48PM -0700, Derek B. Noonburg wrote:
> > Once again, I'm sending email out to everyone who has contacted me
> > regarding the resize/redraw bug in Xpdf 3.01.
> > 
> > Thanks to Michael Rogers, I have a potential fix -- see the attached
> > patch file.  I would appreciate it if you would all try this out, and
> > let me know if it fixes the problem for you.
> 
> For Debian users, I've placed temporary packages containing this patch at
> 
> http://people.debian.org/~hamish/xpdf/
> 
> It's not apt-gettable so you would need to download the debs by hand and
> install with "dpkg -i xpdf*3.01-1.1*.deb".

Hello everyone,

For me, the problem is fixed with these packages: the display is now
always correct (under icewm) whenever I try to resize, zoom/dezoom, skip
to next page, etc.

Thanks a lot to Michael, Derek and Hamish.

Greetings,


Fred



Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Wolfram Quester <wolfi@mittelerde.physik.uni-konstanz.de>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #82 received at 324172@bugs.debian.org (full text, mbox):

From: Wolfram Quester <wolfi@mittelerde.physik.uni-konstanz.de>
Cc: Hamish Moffatt <hamish@debian.org>, Frédéric Bothamy <frederic.bothamy@free.fr>, "Derek B. Noonburg" <derekn@foolabs.com>, umar@compsci.cas.vanderbilt.edu, davrieb@sbox.tugraz.at, than@redhat.com, branden@debian.org, 324172@bugs.debian.org, saurabhsinghvi@gmail.com, m.rogers@cs.ucl.ac.uk
Subject: Re: Xpdf 3.01 resize/redraw bug
Date: Mon, 10 Oct 2005 12:01:38 +0200
[Message part 1 (text/plain, inline)]
Hi alltogether,

* Hamish Moffatt <hamish@debian.org> [2005-10-07 08:52] :
> On Thu, Oct 06, 2005 at 02:22:48PM -0700, Derek B. Noonburg wrote:
> > Once again, I'm sending email out to everyone who has contacted me
> > regarding the resize/redraw bug in Xpdf 3.01.
> > 
> > Thanks to Michael Rogers, I have a potential fix -- see the attached
> > patch file.  I would appreciate it if you would all try this out, and
> > let me know if it fixes the problem for you.
> 
> For Debian users, I've placed temporary packages containing this patch at
> 
> http://people.debian.org/~hamish/xpdf/
> 
> It's not apt-gettable so you would need to download the debs by hand and
> install with "dpkg -i xpdf*3.01-1.1*.deb".

I grabed hamish's source packages and rebuilt them for for ppc. I tried
them under KDE and xfce without seeing the bug.

Thanks for all your work.

Wolfi
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Saurabh Singhvi <saurabhsinghvi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #87 received at 324172@bugs.debian.org (full text, mbox):

From: Saurabh Singhvi <saurabhsinghvi@gmail.com>
To: Wolfram Quester <wolfi@mittelerde.physik.uni-konstanz.de>
Cc: Hamish Moffatt <hamish@debian.org>, Frédéric Bothamy <frederic.bothamy@free.fr>, "Derek B. Noonburg" <derekn@foolabs.com>, umar@compsci.cas.vanderbilt.edu, davrieb@sbox.tugraz.at, than@redhat.com, branden@debian.org, 324172@bugs.debian.org, m.rogers@cs.ucl.ac.uk
Subject: Re: Xpdf 3.01 resize/redraw bug
Date: Mon, 10 Oct 2005 10:22:30 +0000
[Message part 1 (text/plain, inline)]
Hi all

i am not sure if this is the right place to post, but since all people here
are using/ going to use the patch i just wanted to know if this conflicts
with
other patches......i am using gentoo and i added the patch in the ebuild by
using the epatch function, which is already putting other patches. But when
i
emerge, i get the following

 * Applying xpdf-3.00-gcc41.patch ... [ ok ]
 * Applying xpdf-3.00-64bit.patch ... [ ok ]
 * Applying xpdf-3.01-crash.patch ... [ ok ]
 * Applying xpdf-3.01-pdftoppm.patch ... [ ok ]
 * Applying resize.patch ...

 * Failed Patch: resize.patch !
 * ( /usr/local/portage/app-text/xpdf/files/resize.patch )
 *
 * Include in your bugreport the contents of:
 *
 * /var/tmp/portage/xpdf-3.01/temp/resize.patch-3909.out


!!! ERROR: app-text/xpdf-3.01 failed.
!!! Function epatch, Line 361, Exitcode 0
!!! Failed Patch: resize.patch!
!!! If you need support, post the topmost build error, NOT this status
message.

if someone can explain how to correct this it would be great. I am also
attaching the ebuild
if it might be needed.

Thanks
Saurabh



On 10/10/05, Wolfram Quester <wolfi@mittelerde.physik.uni-konstanz.de>
wrote:
>
> Hi alltogether,
>
> * Hamish Moffatt <hamish@debian.org> [2005-10-07 08:52] :
> > On Thu, Oct 06, 2005 at 02:22:48PM -0700, Derek B. Noonburg wrote:
> > > Once again, I'm sending email out to everyone who has contacted me
> > > regarding the resize/redraw bug in Xpdf 3.01.
> > >
> > > Thanks to Michael Rogers, I have a potential fix -- see the attached
> > > patch file. I would appreciate it if you would all try this out, and
> > > let me know if it fixes the problem for you.
> >
> > For Debian users, I've placed temporary packages containing this patch
> at
> >
> > http://people.debian.org/~hamish/xpdf/
> >
> > It's not apt-gettable so you would need to download the debs by hand and
> > install with "dpkg -i xpdf*3.01-1.1*.deb".
>
> I grabed hamish's source packages and rebuilt them for for ppc. I tried
> them under KDE and xfce without seeing the bug.
>
> Thanks for all your work.
>
> Wolfi
>
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.2 (GNU/Linux)
>
> iD8DBQFDSjwCH0o2mefAfsQRAvT1AJ9FMz9s+KplzdGLg8e5ko2UEjeRnQCfYxw1
> dBvY0pQn7BLu1HxD+LU4qzQ=
> =m3zo
> -----END PGP SIGNATURE-----
>
>
>
[Message part 2 (text/html, inline)]
[xpdf-3.01.ebuild (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to David Riebenbauer <davrieb@sbox.tugraz.at>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #92 received at 324172@bugs.debian.org (full text, mbox):

From: David Riebenbauer <davrieb@sbox.tugraz.at>
To: Frédéric Bothamy <frederic.bothamy@free.fr>
Cc: Hamish Moffatt <hamish@debian.org>, "Derek B. Noonburg" <derekn@foolabs.com>, wolfi@mittelerde.physik.uni-konstanz.de, umar@compsci.cas.vanderbilt.edu, than@redhat.com, branden@debian.org, 324172@bugs.debian.org, saurabhsinghvi@gmail.com, m.rogers@cs.ucl.ac.uk
Subject: Re: Xpdf 3.01 resize/redraw bug
Date: Mon, 10 Oct 2005 12:41:33 +0200
* Frédéric Bothamy <frederic.bothamy@free.fr> [2005-10-08 03:25]:
> * Hamish Moffatt <hamish@debian.org> [2005-10-07 08:52] :
> > On Thu, Oct 06, 2005 at 02:22:48PM -0700, Derek B. Noonburg wrote:
> > > Once again, I'm sending email out to everyone who has contacted me
> > > regarding the resize/redraw bug in Xpdf 3.01.
> > > 
> > > Thanks to Michael Rogers, I have a potential fix -- see the attached
> > > patch file.  I would appreciate it if you would all try this out, and
> > > let me know if it fixes the problem for you.
> > 
> > For Debian users, I've placed temporary packages containing this patch at
> > 
> > http://people.debian.org/~hamish/xpdf/
> > 
> > It's not apt-gettable so you would need to download the debs by hand and
> > install with "dpkg -i xpdf*3.01-1.1*.deb".
> 
> Hello everyone,
> 
> For me, the problem is fixed with these packages: the display is now
> always correct (under icewm) whenever I try to resize, zoom/dezoom, skip
> to next page, etc.

Also works nicely here, using ion3. Finally I can really enjoy all the
goodness in xpdf 3.01.

> Thanks a lot to Michael, Derek and Hamish.
Yes, thanks a lot from my side too.

David


-- 
David Riebenbauer
Jabber: davrieb@jabber.ccc.de - ICQ: 322056002 



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #97 received at 324172@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: Frédéric Bothamy <frederic.bothamy@free.fr>
Cc: "Derek B. Noonburg" <derekn@foolabs.com>, wolfi@mittelerde.physik.uni-konstanz.de, umar@compsci.cas.vanderbilt.edu, davrieb@sbox.tugraz.at, than@redhat.com, branden@debian.org, 324172@bugs.debian.org, saurabhsinghvi@gmail.com, m.rogers@cs.ucl.ac.uk
Subject: Re: Xpdf 3.01 resize/redraw bug
Date: Mon, 10 Oct 2005 23:56:45 +1000
On Fri, Oct 07, 2005 at 10:33:05PM +0200, Frédéric Bothamy wrote:
> * Hamish Moffatt <hamish@debian.org> [2005-10-07 08:52] :
> > For Debian users, I've placed temporary packages containing this patch at
> > http://people.debian.org/~hamish/xpdf/
> 
> Hello everyone,
> 
> For me, the problem is fixed with these packages: the display is now
> always correct (under icewm) whenever I try to resize, zoom/dezoom, skip
> to next page, etc.
> 
> Thanks a lot to Michael, Derek and Hamish.

Thanks everyone for testing the 3.01-1.1 packages and confirming the
fix. I've uploaded 3.01-2 now to unstable with this patch included.

Thanks Michael and Derek for the fix.

Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Reply sent to Hamish Moffatt <hamish@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frédéric Bothamy <frederic.bothamy@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #102 received at 324172-close@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: 324172-close@bugs.debian.org
Subject: Bug#324172: fixed in xpdf 3.01-2
Date: Mon, 10 Oct 2005 07:02:09 -0700
Source: xpdf
Source-Version: 3.01-2

We believe that the bug you reported is fixed in the latest version of
xpdf, which is due to be installed in the Debian FTP archive:

xpdf-common_3.01-2_all.deb
  to pool/main/x/xpdf/xpdf-common_3.01-2_all.deb
xpdf-reader_3.01-2_i386.deb
  to pool/main/x/xpdf/xpdf-reader_3.01-2_i386.deb
xpdf-utils_3.01-2_i386.deb
  to pool/main/x/xpdf/xpdf-utils_3.01-2_i386.deb
xpdf_3.01-2.diff.gz
  to pool/main/x/xpdf/xpdf_3.01-2.diff.gz
xpdf_3.01-2.dsc
  to pool/main/x/xpdf/xpdf_3.01-2.dsc
xpdf_3.01-2_all.deb
  to pool/main/x/xpdf/xpdf_3.01-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 324172@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hamish Moffatt <hamish@debian.org> (supplier of updated xpdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 10 Oct 2005 23:34:46 +1000
Source: xpdf
Binary: xpdf-utils xpdf xpdf-reader xpdf-common
Architecture: source i386 all
Version: 3.01-2
Distribution: unstable
Urgency: low
Maintainer: Hamish Moffatt <hamish@debian.org>
Changed-By: Hamish Moffatt <hamish@debian.org>
Description: 
 xpdf       - Portable Document Format (PDF) suite
 xpdf-common - Portable Document Format (PDF) suite -- common files
 xpdf-reader - Portable Document Format (PDF) suite -- viewer for X11
 xpdf-utils - Portable Document Format (PDF) suite -- utilities
Closes: 320631 324172 325112 326888 327572 329112
Changes: 
 xpdf (3.01-2) unstable; urgency=low
 .
   * Incorporate upstream patch to fix resize issues with some
     window managers (20_resize.dpatch)
     (closes: #325112, #326888, #327572, #329112, #324172)
   * Fix incorrect escape sequences in xpdf.1 (closes: #320631)
     Thanks to Erik Schanze for the patch. (01_manpage.dpatch)
Files: 
 34d7426c12c91c213c9c643ce3f70838 954 text optional xpdf_3.01-2.dsc
 325912886914576caf8e21ae915e8771 28644 text optional xpdf_3.01-2.diff.gz
 0067743f1119d9635966e358018cf2ab 1272 text optional xpdf_3.01-2_all.deb
 a414ac746297ca22886c93fe12264d2a 59912 text optional xpdf-common_3.01-2_all.deb
 f188bdbdecc3e845932b6c1e0d76890e 759474 text optional xpdf-reader_3.01-2_i386.deb
 ad591d0d145afb9edc255e3630539cc1 1384696 text optional xpdf-utils_3.01-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iQCVAwUBQ0pxn9iYIdPvprnVAQLhPgP7Bd1/XTH+SbhxL0l3+r28knOo9JT/2r64
90m1vdJurkNNR0gK3rbUUtQSOYzlAKdAC/i7ZXa+4ca4CSPMmj8S63q+QLk/pZw6
neM8/rQvCbjS8ZjwtXaE+VefEZNIYpKcoo0Z+7nQ297JWPV9x6Lep9Chp9djMDod
065MXhHQ1Io=
=SP0/
-----END PGP SIGNATURE-----




Reply sent to Hamish Moffatt <hamish@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frédéric Bothamy <frederic.bothamy@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #107 received at 325112-close@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: 325112-close@bugs.debian.org
Subject: Bug#325112: fixed in xpdf 3.01-2
Date: Mon, 10 Oct 2005 07:02:09 -0700
Source: xpdf
Source-Version: 3.01-2

We believe that the bug you reported is fixed in the latest version of
xpdf, which is due to be installed in the Debian FTP archive:

xpdf-common_3.01-2_all.deb
  to pool/main/x/xpdf/xpdf-common_3.01-2_all.deb
xpdf-reader_3.01-2_i386.deb
  to pool/main/x/xpdf/xpdf-reader_3.01-2_i386.deb
xpdf-utils_3.01-2_i386.deb
  to pool/main/x/xpdf/xpdf-utils_3.01-2_i386.deb
xpdf_3.01-2.diff.gz
  to pool/main/x/xpdf/xpdf_3.01-2.diff.gz
xpdf_3.01-2.dsc
  to pool/main/x/xpdf/xpdf_3.01-2.dsc
xpdf_3.01-2_all.deb
  to pool/main/x/xpdf/xpdf_3.01-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 325112@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hamish Moffatt <hamish@debian.org> (supplier of updated xpdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 10 Oct 2005 23:34:46 +1000
Source: xpdf
Binary: xpdf-utils xpdf xpdf-reader xpdf-common
Architecture: source i386 all
Version: 3.01-2
Distribution: unstable
Urgency: low
Maintainer: Hamish Moffatt <hamish@debian.org>
Changed-By: Hamish Moffatt <hamish@debian.org>
Description: 
 xpdf       - Portable Document Format (PDF) suite
 xpdf-common - Portable Document Format (PDF) suite -- common files
 xpdf-reader - Portable Document Format (PDF) suite -- viewer for X11
 xpdf-utils - Portable Document Format (PDF) suite -- utilities
Closes: 320631 324172 325112 326888 327572 329112
Changes: 
 xpdf (3.01-2) unstable; urgency=low
 .
   * Incorporate upstream patch to fix resize issues with some
     window managers (20_resize.dpatch)
     (closes: #325112, #326888, #327572, #329112, #324172)
   * Fix incorrect escape sequences in xpdf.1 (closes: #320631)
     Thanks to Erik Schanze for the patch. (01_manpage.dpatch)
Files: 
 34d7426c12c91c213c9c643ce3f70838 954 text optional xpdf_3.01-2.dsc
 325912886914576caf8e21ae915e8771 28644 text optional xpdf_3.01-2.diff.gz
 0067743f1119d9635966e358018cf2ab 1272 text optional xpdf_3.01-2_all.deb
 a414ac746297ca22886c93fe12264d2a 59912 text optional xpdf-common_3.01-2_all.deb
 f188bdbdecc3e845932b6c1e0d76890e 759474 text optional xpdf-reader_3.01-2_i386.deb
 ad591d0d145afb9edc255e3630539cc1 1384696 text optional xpdf-utils_3.01-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iQCVAwUBQ0pxn9iYIdPvprnVAQLhPgP7Bd1/XTH+SbhxL0l3+r28knOo9JT/2r64
90m1vdJurkNNR0gK3rbUUtQSOYzlAKdAC/i7ZXa+4ca4CSPMmj8S63q+QLk/pZw6
neM8/rQvCbjS8ZjwtXaE+VefEZNIYpKcoo0Z+7nQ297JWPV9x6Lep9Chp9djMDod
065MXhHQ1Io=
=SP0/
-----END PGP SIGNATURE-----




Reply sent to Hamish Moffatt <hamish@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frédéric Bothamy <frederic.bothamy@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #112 received at 326888-close@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: 326888-close@bugs.debian.org
Subject: Bug#326888: fixed in xpdf 3.01-2
Date: Mon, 10 Oct 2005 07:02:09 -0700
Source: xpdf
Source-Version: 3.01-2

We believe that the bug you reported is fixed in the latest version of
xpdf, which is due to be installed in the Debian FTP archive:

xpdf-common_3.01-2_all.deb
  to pool/main/x/xpdf/xpdf-common_3.01-2_all.deb
xpdf-reader_3.01-2_i386.deb
  to pool/main/x/xpdf/xpdf-reader_3.01-2_i386.deb
xpdf-utils_3.01-2_i386.deb
  to pool/main/x/xpdf/xpdf-utils_3.01-2_i386.deb
xpdf_3.01-2.diff.gz
  to pool/main/x/xpdf/xpdf_3.01-2.diff.gz
xpdf_3.01-2.dsc
  to pool/main/x/xpdf/xpdf_3.01-2.dsc
xpdf_3.01-2_all.deb
  to pool/main/x/xpdf/xpdf_3.01-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 326888@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hamish Moffatt <hamish@debian.org> (supplier of updated xpdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 10 Oct 2005 23:34:46 +1000
Source: xpdf
Binary: xpdf-utils xpdf xpdf-reader xpdf-common
Architecture: source i386 all
Version: 3.01-2
Distribution: unstable
Urgency: low
Maintainer: Hamish Moffatt <hamish@debian.org>
Changed-By: Hamish Moffatt <hamish@debian.org>
Description: 
 xpdf       - Portable Document Format (PDF) suite
 xpdf-common - Portable Document Format (PDF) suite -- common files
 xpdf-reader - Portable Document Format (PDF) suite -- viewer for X11
 xpdf-utils - Portable Document Format (PDF) suite -- utilities
Closes: 320631 324172 325112 326888 327572 329112
Changes: 
 xpdf (3.01-2) unstable; urgency=low
 .
   * Incorporate upstream patch to fix resize issues with some
     window managers (20_resize.dpatch)
     (closes: #325112, #326888, #327572, #329112, #324172)
   * Fix incorrect escape sequences in xpdf.1 (closes: #320631)
     Thanks to Erik Schanze for the patch. (01_manpage.dpatch)
Files: 
 34d7426c12c91c213c9c643ce3f70838 954 text optional xpdf_3.01-2.dsc
 325912886914576caf8e21ae915e8771 28644 text optional xpdf_3.01-2.diff.gz
 0067743f1119d9635966e358018cf2ab 1272 text optional xpdf_3.01-2_all.deb
 a414ac746297ca22886c93fe12264d2a 59912 text optional xpdf-common_3.01-2_all.deb
 f188bdbdecc3e845932b6c1e0d76890e 759474 text optional xpdf-reader_3.01-2_i386.deb
 ad591d0d145afb9edc255e3630539cc1 1384696 text optional xpdf-utils_3.01-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iQCVAwUBQ0pxn9iYIdPvprnVAQLhPgP7Bd1/XTH+SbhxL0l3+r28knOo9JT/2r64
90m1vdJurkNNR0gK3rbUUtQSOYzlAKdAC/i7ZXa+4ca4CSPMmj8S63q+QLk/pZw6
neM8/rQvCbjS8ZjwtXaE+VefEZNIYpKcoo0Z+7nQ297JWPV9x6Lep9Chp9djMDod
065MXhHQ1Io=
=SP0/
-----END PGP SIGNATURE-----




Reply sent to Hamish Moffatt <hamish@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frédéric Bothamy <frederic.bothamy@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #117 received at 327572-close@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: 327572-close@bugs.debian.org
Subject: Bug#327572: fixed in xpdf 3.01-2
Date: Mon, 10 Oct 2005 07:02:09 -0700
Source: xpdf
Source-Version: 3.01-2

We believe that the bug you reported is fixed in the latest version of
xpdf, which is due to be installed in the Debian FTP archive:

xpdf-common_3.01-2_all.deb
  to pool/main/x/xpdf/xpdf-common_3.01-2_all.deb
xpdf-reader_3.01-2_i386.deb
  to pool/main/x/xpdf/xpdf-reader_3.01-2_i386.deb
xpdf-utils_3.01-2_i386.deb
  to pool/main/x/xpdf/xpdf-utils_3.01-2_i386.deb
xpdf_3.01-2.diff.gz
  to pool/main/x/xpdf/xpdf_3.01-2.diff.gz
xpdf_3.01-2.dsc
  to pool/main/x/xpdf/xpdf_3.01-2.dsc
xpdf_3.01-2_all.deb
  to pool/main/x/xpdf/xpdf_3.01-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 327572@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hamish Moffatt <hamish@debian.org> (supplier of updated xpdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 10 Oct 2005 23:34:46 +1000
Source: xpdf
Binary: xpdf-utils xpdf xpdf-reader xpdf-common
Architecture: source i386 all
Version: 3.01-2
Distribution: unstable
Urgency: low
Maintainer: Hamish Moffatt <hamish@debian.org>
Changed-By: Hamish Moffatt <hamish@debian.org>
Description: 
 xpdf       - Portable Document Format (PDF) suite
 xpdf-common - Portable Document Format (PDF) suite -- common files
 xpdf-reader - Portable Document Format (PDF) suite -- viewer for X11
 xpdf-utils - Portable Document Format (PDF) suite -- utilities
Closes: 320631 324172 325112 326888 327572 329112
Changes: 
 xpdf (3.01-2) unstable; urgency=low
 .
   * Incorporate upstream patch to fix resize issues with some
     window managers (20_resize.dpatch)
     (closes: #325112, #326888, #327572, #329112, #324172)
   * Fix incorrect escape sequences in xpdf.1 (closes: #320631)
     Thanks to Erik Schanze for the patch. (01_manpage.dpatch)
Files: 
 34d7426c12c91c213c9c643ce3f70838 954 text optional xpdf_3.01-2.dsc
 325912886914576caf8e21ae915e8771 28644 text optional xpdf_3.01-2.diff.gz
 0067743f1119d9635966e358018cf2ab 1272 text optional xpdf_3.01-2_all.deb
 a414ac746297ca22886c93fe12264d2a 59912 text optional xpdf-common_3.01-2_all.deb
 f188bdbdecc3e845932b6c1e0d76890e 759474 text optional xpdf-reader_3.01-2_i386.deb
 ad591d0d145afb9edc255e3630539cc1 1384696 text optional xpdf-utils_3.01-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iQCVAwUBQ0pxn9iYIdPvprnVAQLhPgP7Bd1/XTH+SbhxL0l3+r28knOo9JT/2r64
90m1vdJurkNNR0gK3rbUUtQSOYzlAKdAC/i7ZXa+4ca4CSPMmj8S63q+QLk/pZw6
neM8/rQvCbjS8ZjwtXaE+VefEZNIYpKcoo0Z+7nQ297JWPV9x6Lep9Chp9djMDod
065MXhHQ1Io=
=SP0/
-----END PGP SIGNATURE-----




Reply sent to Hamish Moffatt <hamish@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frédéric Bothamy <frederic.bothamy@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #122 received at 329112-close@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: 329112-close@bugs.debian.org
Subject: Bug#329112: fixed in xpdf 3.01-2
Date: Mon, 10 Oct 2005 07:02:09 -0700
Source: xpdf
Source-Version: 3.01-2

We believe that the bug you reported is fixed in the latest version of
xpdf, which is due to be installed in the Debian FTP archive:

xpdf-common_3.01-2_all.deb
  to pool/main/x/xpdf/xpdf-common_3.01-2_all.deb
xpdf-reader_3.01-2_i386.deb
  to pool/main/x/xpdf/xpdf-reader_3.01-2_i386.deb
xpdf-utils_3.01-2_i386.deb
  to pool/main/x/xpdf/xpdf-utils_3.01-2_i386.deb
xpdf_3.01-2.diff.gz
  to pool/main/x/xpdf/xpdf_3.01-2.diff.gz
xpdf_3.01-2.dsc
  to pool/main/x/xpdf/xpdf_3.01-2.dsc
xpdf_3.01-2_all.deb
  to pool/main/x/xpdf/xpdf_3.01-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 329112@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hamish Moffatt <hamish@debian.org> (supplier of updated xpdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 10 Oct 2005 23:34:46 +1000
Source: xpdf
Binary: xpdf-utils xpdf xpdf-reader xpdf-common
Architecture: source i386 all
Version: 3.01-2
Distribution: unstable
Urgency: low
Maintainer: Hamish Moffatt <hamish@debian.org>
Changed-By: Hamish Moffatt <hamish@debian.org>
Description: 
 xpdf       - Portable Document Format (PDF) suite
 xpdf-common - Portable Document Format (PDF) suite -- common files
 xpdf-reader - Portable Document Format (PDF) suite -- viewer for X11
 xpdf-utils - Portable Document Format (PDF) suite -- utilities
Closes: 320631 324172 325112 326888 327572 329112
Changes: 
 xpdf (3.01-2) unstable; urgency=low
 .
   * Incorporate upstream patch to fix resize issues with some
     window managers (20_resize.dpatch)
     (closes: #325112, #326888, #327572, #329112, #324172)
   * Fix incorrect escape sequences in xpdf.1 (closes: #320631)
     Thanks to Erik Schanze for the patch. (01_manpage.dpatch)
Files: 
 34d7426c12c91c213c9c643ce3f70838 954 text optional xpdf_3.01-2.dsc
 325912886914576caf8e21ae915e8771 28644 text optional xpdf_3.01-2.diff.gz
 0067743f1119d9635966e358018cf2ab 1272 text optional xpdf_3.01-2_all.deb
 a414ac746297ca22886c93fe12264d2a 59912 text optional xpdf-common_3.01-2_all.deb
 f188bdbdecc3e845932b6c1e0d76890e 759474 text optional xpdf-reader_3.01-2_i386.deb
 ad591d0d145afb9edc255e3630539cc1 1384696 text optional xpdf-utils_3.01-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iQCVAwUBQ0pxn9iYIdPvprnVAQLhPgP7Bd1/XTH+SbhxL0l3+r28knOo9JT/2r64
90m1vdJurkNNR0gK3rbUUtQSOYzlAKdAC/i7ZXa+4ca4CSPMmj8S63q+QLk/pZw6
neM8/rQvCbjS8ZjwtXaE+VefEZNIYpKcoo0Z+7nQ297JWPV9x6Lep9Chp9djMDod
065MXhHQ1Io=
=SP0/
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to 324172@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #127 received at 324172@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Hamish Moffatt <hamish@debian.org>
Cc: "Derek B. Noonburg" <derekn@foolabs.com>, wolfi@mittelerde.physik.uni-konstanz.de, umar@compsci.cas.vanderbilt.edu, frederic.bothamy@free.fr, davrieb@sbox.tugraz.at, than@redhat.com, 324172@bugs.debian.org, saurabhsinghvi@gmail.com, m.rogers@cs.ucl.ac.uk
Subject: Re: Xpdf 3.01 resize/redraw bug
Date: Mon, 10 Oct 2005 17:14:19 -0500
[Message part 1 (text/plain, inline)]
On Fri, Oct 07, 2005 at 08:52:53AM +1000, Hamish Moffatt wrote:
> On Thu, Oct 06, 2005 at 02:22:48PM -0700, Derek B. Noonburg wrote:
> > Once again, I'm sending email out to everyone who has contacted me
> > regarding the resize/redraw bug in Xpdf 3.01.
> > 
> > Thanks to Michael Rogers, I have a potential fix -- see the attached
> > patch file.  I would appreciate it if you would all try this out, and
> > let me know if it fixes the problem for you.
> 
> For Debian users, I've placed temporary packages containing this patch at
> 
> http://people.debian.org/~hamish/xpdf/
> 
> It's not apt-gettable so you would need to download the debs by hand and
> install with "dpkg -i xpdf*3.01-1.1*.deb".

I appear to be a little late with this, as Hamish did an upload today, but:

I built some PowerPC .debs from the source package for myself and tested
them, and can confirm that these fix my problem as well.

Thanks, Derek, Hamish, and everyone else!

-- 
G. Branden Robinson                |     When I die I want to go peacefully
Debian GNU/Linux                   |     in my sleep like my ol' Grand
branden@debian.org                 |     Dad...not screaming in terror like
http://people.debian.org/~branden/ |     his passengers.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#324172; Package xpdf-reader. Full text and rfc822 format available.

Acknowledgement sent to Saurabh Singhvi <saurabhsinghvi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #132 received at 324172@bugs.debian.org (full text, mbox):

From: Saurabh Singhvi <saurabhsinghvi@gmail.com>
To: 324172@bugs.debian.org
Cc: Hamish Moffatt <hamish@debian.org>, "Derek B. Noonburg" <derekn@foolabs.com>, wolfi@mittelerde.physik.uni-konstanz.de, umar@compsci.cas.vanderbilt.edu, frederic.bothamy@free.fr, davrieb@sbox.tugraz.at, than@redhat.com, m.rogers@cs.ucl.ac.uk
Subject: Re: Xpdf 3.01 resize/redraw bug
Date: Wed, 12 Oct 2005 19:02:55 +0000
[Message part 1 (text/plain, inline)]
Confirmed!! works for me too. Thanks a lot for the patch.

x86 machine running gentoo.

On 10/10/05, Branden Robinson <branden@debian.org> wrote:
>
> On Fri, Oct 07, 2005 at 08:52:53AM +1000, Hamish Moffatt wrote:
> > On Thu, Oct 06, 2005 at 02:22:48PM -0700, Derek B. Noonburg wrote:
> > > Once again, I'm sending email out to everyone who has contacted me
> > > regarding the resize/redraw bug in Xpdf 3.01.
> > >
> > > Thanks to Michael Rogers, I have a potential fix -- see the attached
> > > patch file. I would appreciate it if you would all try this out, and
> > > let me know if it fixes the problem for you.
> >
> > For Debian users, I've placed temporary packages containing this patch
> at
> >
> > http://people.debian.org/~hamish/xpdf/
> >
> > It's not apt-gettable so you would need to download the debs by hand and
> > install with "dpkg -i xpdf*3.01-1.1*.deb".
>
> I appear to be a little late with this, as Hamish did an upload today,
> but:
>
> I built some PowerPC .debs from the source package for myself and tested
> them, and can confirm that these fix my problem as well.
>
> Thanks, Derek, Hamish, and everyone else!
>
> --
> G. Branden Robinson | When I die I want to go peacefully
> Debian GNU/Linux | in my sleep like my ol' Grand
> branden@debian.org | Dad...not screaming in terror like
> http://people.debian.org/~branden/ | his passengers.
>
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.2 (GNU/Linux)
>
> iEYEARECAAYFAkNK57sACgkQ6kxmHytGonwJWwCZAbHErFy6+7L7T0aabX0z+d1X
> /IsAn1Pc4kHaH8eR2naDUvjAgI46mop8
> =Pvj7
> -----END PGP SIGNATURE-----
>
>
>
[Message part 2 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 14:59:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:45:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.